/* 
 *
 * Define grid
 *
 */

/* In gin, columns only have enough space on big screens so limit them to 1024+ */
/* The order in config should reflect the non-grid order, the grid order can be altered via css */
@media screen and (min-width: 1024px) {
  /* Gin hardcodes the layout-region-node-main class node-edit-form.html.twig so we cannot add our own class easily. To avoid having to add a field group for this we use the classes gin gives us */
  /* We need to limit it to the supported content types, drupal has different classes for add and edit forms */
  .node-organisation-form,
  .node-organisation-edit-form,
  .node-event-form,
  .node-event-edit-form,
  .node-event-quick-node-clone-form,
  .node-article-form,
  .node-article-edit-form,
  .node-page-form,
  .node-page-edit-form,
  .h4c-subgrid {
    display: grid;
    grid-gap: 0 24px;
    grid-template-columns: repeat(3, minmax(0, 1fr)); 
    /* Not sure which is the best way to do equal columns `grid-auto-columns: minmax(120px, 1fr);` also does the job, see https://stackoverflow.com/a/61240964/4863151 */
  }
}
